https://bugs.gentoo.org/884197
--- a/third_party/blink/renderer/core/loader/document_loader.cc
+++ b/third_party/blink/renderer/core/loader/document_loader.cc
@@ -155,6 +155,11 @@
 #include "third_party/blink/renderer/platform/wtf/vector.h"
 
 namespace blink {
+
+struct DecodedBodyDataWrap {
+  using DecodedBodyDataType = DocumentLoader::DecodedBodyData;
+};
+
 namespace {
 
 Vector<OriginTrialFeature> CopyInitiatorOriginTrials(
@@ -261,7 +266,7 @@ struct SameSizeAsDocumentLoader
   bool finish_loading_when_parser_resumed;
   bool in_commit_data;
   scoped_refptr<SharedBuffer> data_buffer;
-  Vector<DocumentLoader::DecodedBodyData> decoded_data_buffer_;
+  Vector<blink::DecodedBodyDataWrap::DecodedBodyDataType> decoded_data_buffer_;
   base::UnguessableToken devtools_navigation_token;
   LoaderFreezeMode defers_loading;
   bool last_navigation_had_transient_user_activation;
--- a/third_party/blink/renderer/core/loader/document_loader.h
+++ b/third_party/blink/renderer/core/loader/document_loader.h
@@ -467,7 +467,7 @@ class CORE_EXPORT DocumentLoader : public GarbageCollected<DocumentLoader>,
   Member<MHTMLArchive> archive_;
 
  private:
-  friend struct SameSizeAsDocumentLoader;
+  friend struct DecodedBodyDataWrap;
   class BodyData;
   class EncodedBodyData;
   class DecodedBodyData;

